diff --git a/doc/builtins.0 b/doc/builtins.0
index 823d7f55..e7dd3c8d 100644
--- a/doc/builtins.0
+++ b/doc/builtins.0
@@ -924,224 +923,224 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                       vvii      Use a vi-style command line editing interface.
                       xxttrraaccee  Same as --xx.
                       If --oo is supplied with no _o_p_t_i_o_n_-_n_a_m_e, the values of the
-                      current options are printed.  If ++oo is supplied with  no
-                      _o_p_t_i_o_n_-_n_a_m_e,  a  series  of sseett commands to recreate the
-                      current option settings is  displayed  on  the  standard
+                      current  options are printed.  If ++oo is supplied with no
+                      _o_p_t_i_o_n_-_n_a_m_e, a series of sseett commands  to  recreate  the
+                      current  option  settings  is  displayed on the standard
                       output.
-              --pp      Turn  on  _p_r_i_v_i_l_e_g_e_d  mode.   In this mode, the $$EENNVV and
-                      $$BBAASSHH__EENNVV files are not processed, shell  functions  are
-                      not  inherited  from  the environment, and the SSHHEELLLLOOPPTTSS
-                      variable, if it appears in the environment, is  ignored.
-                      If  the shell is started with the effective user (group)
-                      id not equal to the real user (group)  id,  and  the  --pp
-                      option  is not supplied, these actions are taken and the
+              --pp      Turn on _p_r_i_v_i_l_e_g_e_d mode.  In this  mode,  the  $$EENNVV  and
+                      $$BBAASSHH__EENNVV  files  are not processed, shell functions are
+                      not inherited from the environment,  and  the  SSHHEELLLLOOPPTTSS
+                      variable,  if it appears in the environment, is ignored.
+                      If the shell is started with the effective user  (group)
+                      id  not  equal  to  the real user (group) id, and the --pp
+                      option is not supplied, these actions are taken and  the
                       effective user id is set to the real user id.  If the --pp
-                      option  is supplied at startup, the effective user id is
+                      option is supplied at startup, the effective user id  is
                       not reset.  Turning this option off causes the effective
-                      user  and group ids to be set to the real user and group
+                      user and group ids to be set to the real user and  group
                       ids.
               --tt      Exit after reading and executing one command.
               --uu      Treat unset variables as an error when performing param-
-                      eter  expansion.   If expansion is attempted on an unset
+                      eter expansion.  If expansion is attempted on  an  unset
                       variable, the shell prints an error message, and, if not
                       interactive, exits with a non-zero status.
               --vv      Print shell input lines as they are read.
-              --xx      After  expanding  each _s_i_m_p_l_e _c_o_m_m_a_n_d, ffoorr command, ccaassee
+              --xx      After expanding each _s_i_m_p_l_e _c_o_m_m_a_n_d, ffoorr  command,  ccaassee
                       command, sseelleecctt command, or arithmetic ffoorr command, dis-
-                      play  the expanded value of PPSS44, followed by the command
+                      play the expanded value of PPSS44, followed by the  command
                       and its expanded arguments or associated word list.
-              --BB      The shell performs brace expansion (see BBrraaccee  EExxppaannssiioonn
+              --BB      The  shell performs brace expansion (see BBrraaccee EExxppaannssiioonn
                       above).  This is on by default.
-              --CC      If  set,  bbaasshh  does not overwrite an existing file with
-                      the >>, >>&&, and <<>> redirection operators.   This  may  be
+              --CC      If set, bbaasshh does not overwrite an  existing  file  with
+                      the  >>,  >>&&,  and <<>> redirection operators.  This may be
                       overridden when creating output files by using the redi-
                       rection operator >>|| instead of >>.
               --EE      If set, any trap on EERRRR is inherited by shell functions,
-                      command  substitutions,  and commands executed in a sub-
-                      shell environment.  The EERRRR trap is normally not  inher-
+                      command substitutions, and commands executed in  a  sub-
+                      shell  environment.  The EERRRR trap is normally not inher-
                       ited in such cases.
               --HH      Enable !!  style history substitution.  This option is on
                       by default when the shell is interactive.
-              --PP      If set, the shell does not follow  symbolic  links  when
-                      executing  commands  such  as ccdd that change the current
+              --PP      If  set,  the  shell does not follow symbolic links when
+                      executing commands such as ccdd that  change  the  current
                       working  directory.   It  uses  the  physical  directory
                       structure instead.  By default, bbaasshh follows the logical
-                      chain of  directories  when  performing  commands  which
+                      chain  of  directories  when  performing  commands which
                       change the current directory.
-              --TT      If  set,  any  trap on DDEEBBUUGG is inherited by shell func-
+              --TT      If set, any trap on DDEEBBUUGG is inherited  by  shell  func-
                       tions, command substitutions, and commands executed in a
-                      subshell  environment.   The  DDEEBBUUGG trap is normally not
+                      subshell environment.  The DDEEBBUUGG trap  is  normally  not
                       inherited in such cases.
-              ----      If no arguments follow this option, then the  positional
+              ----      If  no arguments follow this option, then the positional
                       parameters are unset.  Otherwise, the positional parame-
-                      ters are set to the _a_r_gs, even if  some  of  them  begin
+                      ters  are  set  to  the _a_r_gs, even if some of them begin
                       with a --.
-              --       Signal  the  end of options, cause all remaining _a_r_gs to
+              --       Signal the end of options, cause all remaining  _a_r_gs  to
                       be assigned to the positional parameters.  The --xx and --vv
                       options are turned off.  If there are no _a_r_gs, the posi-
                       tional parameters remain unchanged.
 
-              The options are off by default unless otherwise noted.  Using  +
-              rather  than  -  causes  these  options  to  be turned off.  The
-              options can also be specified as arguments to an  invocation  of
-              the  shell.  The current set of options may be found in $$--.  The
+              The  options are off by default unless otherwise noted.  Using +
+              rather than - causes  these  options  to  be  turned  off.   The
+              options  can  also be specified as arguments to an invocation of
+              the shell.  The current set of options may be found in $$--.   The
               return status is always true unless an invalid option is encoun-
               tered.
 
        sshhiifftt [_n]
-              The  positional  parameters  from _n+1 ... are renamed to $$11 ........
-              Parameters represented by the numbers  $$##  down  to  $$##-_n+1  are
-              unset.   _n  must  be a non-negative number less than or equal to
-              $$##.  If _n is 0, no parameters are changed.  If _n is  not  given,
-              it  is assumed to be 1.  If _n is greater than $$##, the positional
-              parameters are not changed.  The return status is  greater  than
+              The positional parameters from _n+1 ... are renamed  to  $$11  ........
+              Parameters  represented  by  the  numbers  $$## down to $$##-_n+1 are
+              unset.  _n must be a non-negative number less than  or  equal  to
+              $$##.   If  _n is 0, no parameters are changed.  If _n is not given,
+              it is assumed to be 1.  If _n is greater than $$##, the  positional
+              parameters  are  not changed.  The return status is greater than
               zero if _n is greater than $$## or less than zero; otherwise 0.
 
        sshhoopptt [--ppqqssuu] [--oo] [_o_p_t_n_a_m_e ...]
               Toggle the values of variables controlling optional shell behav-
               ior.  With no options, or with the --pp option, a list of all set-
               table options is displayed, with an indication of whether or not
-              each is set.  The --pp option causes output to be displayed  in  a
-              form  that  may be reused as input.  Other options have the fol-
+              each  is  set.  The --pp option causes output to be displayed in a
+              form that may be reused as input.  Other options have  the  fol-
               lowing meanings:
               --ss     Enable (set) each _o_p_t_n_a_m_e.
               --uu     Disable (unset) each _o_p_t_n_a_m_e.
-              --qq     Suppresses normal output (quiet mode); the return  status
+              --qq     Suppresses  normal output (quiet mode); the return status
                      indicates whether the _o_p_t_n_a_m_e is set or unset.  If multi-
-                     ple _o_p_t_n_a_m_e arguments are given with --qq, the return  sta-
-                     tus  is zero if all _o_p_t_n_a_m_e_s are enabled; non-zero other-
+                     ple  _o_p_t_n_a_m_e arguments are given with --qq, the return sta-
+                     tus is zero if all _o_p_t_n_a_m_e_s are enabled; non-zero  other-
                      wise.
-              --oo     Restricts the values of _o_p_t_n_a_m_e to be those  defined  for
+              --oo     Restricts  the  values of _o_p_t_n_a_m_e to be those defined for
                      the --oo option to the sseett builtin.
 
-              If  either  --ss or --uu is used with no _o_p_t_n_a_m_e arguments, the dis-
+              If either --ss or --uu is used with no _o_p_t_n_a_m_e arguments,  the  dis-
               play is limited to those options which are set or unset, respec-
-              tively.   Unless otherwise noted, the sshhoopptt options are disabled
+              tively.  Unless otherwise noted, the sshhoopptt options are  disabled
               (unset) by default.
 
-              The return status when listing options is zero if  all  _o_p_t_n_a_m_e_s
-              are  enabled,  non-zero  otherwise.   When  setting or unsetting
-              options, the return status is zero unless an _o_p_t_n_a_m_e  is  not  a
+              The  return  status when listing options is zero if all _o_p_t_n_a_m_e_s
+              are enabled, non-zero  otherwise.   When  setting  or  unsetting
+              options,  the  return  status is zero unless an _o_p_t_n_a_m_e is not a
               valid shell option.
 
               The list of sshhoopptt options is:
 
               ccddaabbllee__vvaarrss
-                      If  set,  an  argument to the ccdd builtin command that is
-                      not a directory is assumed to be the name of a  variable
+                      If set, an argument to the ccdd builtin  command  that  is
+                      not  a directory is assumed to be the name of a variable
                       whose value is the directory to change to.
               ccddssppeellll If set, minor errors in the spelling of a directory com-
-                      ponent in a ccdd command will be  corrected.   The  errors
+                      ponent  in  a  ccdd command will be corrected.  The errors
                       checked for are transposed characters, a missing charac-
-                      ter, and one character too many.   If  a  correction  is
-                      found,  the corrected file name is printed, and the com-
-                      mand proceeds.  This option is only used by  interactive
+                      ter,  and  one  character  too many.  If a correction is
+                      found, the corrected file name is printed, and the  com-
+                      mand  proceeds.  This option is only used by interactive
                       shells.
               cchheecckkhhaasshh
                       If set, bbaasshh checks that a command found in the hash ta-
-                      ble exists before trying to execute  it.   If  a  hashed
-                      command  no  longer exists, a normal path search is per-
+                      ble  exists  before  trying  to execute it.  If a hashed
+                      command no longer exists, a normal path search  is  per-
                       formed.
               cchheecckkwwiinnssiizzee
-                      If set, bbaasshh checks the window size after  each  command
-                      and,  if necessary, updates the values of LLIINNEESS and CCOOLL--
+                      If  set,  bbaasshh checks the window size after each command
+                      and, if necessary, updates the values of LLIINNEESS and  CCOOLL--
                       UUMMNNSS.
-              ccmmddhhiisstt If set, bbaasshh attempts to save all lines of  a  multiple-
-                      line  command  in  the  same history entry.  This allows
+              ccmmddhhiisstt If  set,  bbaasshh attempts to save all lines of a multiple-
+                      line command in the same  history  entry.   This  allows
                       easy re-editing of multi-line commands.
-              ddoottgglloobb If set, bbaasshh includes filenames beginning with a `.'  in
+              ddoottgglloobb If  set, bbaasshh includes filenames beginning with a `.' in
                       the results of pathname expansion.
               eexxeeccffaaiill
                       If set, a non-interactive shell will not exit if it can-
-                      not execute the file specified as  an  argument  to  the
-                      eexxeecc  builtin  command.   An  interactive shell does not
+                      not  execute  the  file  specified as an argument to the
+                      eexxeecc builtin command.  An  interactive  shell  does  not
                       exit if eexxeecc fails.
               eexxppaanndd__aalliiaasseess
-                      If set, aliases are expanded as  described  above  under
+                      If  set,  aliases  are expanded as described above under
                       AALLIIAASSEESS.  This option is enabled by default for interac-
                       tive shells.
               eexxttddeebbuugg
-                      If set,  behavior  intended  for  use  by  debuggers  is
+                      If  set,  behavior  intended  for  use  by  debuggers is
                       enabled:
                       11..     The --FF option to the ddeeccllaarree builtin displays the
                              source file name and line number corresponding to
                              each function name supplied as an argument.
-                      22..     If  the  command  run by the DDEEBBUUGG trap returns a
-                             non-zero value, the next command is  skipped  and
+                      22..     If the command run by the DDEEBBUUGG  trap  returns  a
+                             non-zero  value,  the next command is skipped and
                              not executed.
-                      33..     If  the  command  run by the DDEEBBUUGG trap returns a
-                             value of 2, and the shell is executing in a  sub-
-                             routine  (a shell function or a shell script exe-
-                             cuted by the .. or ssoouurrccee  builtins),  a  call  to
+                      33..     If the command run by the DDEEBBUUGG  trap  returns  a
+                             value  of 2, and the shell is executing in a sub-
+                             routine (a shell function or a shell script  exe-
+                             cuted  by  the  ..  or ssoouurrccee builtins), a call to
                              rreettuurrnn is simulated.
               eexxttgglloobb If set, the extended pattern matching features described
                       above under PPaatthhnnaammee EExxppaannssiioonn are enabled.
               eexxttqquuoottee
-                      If set, $$'_s_t_r_i_n_g' and  $$"_s_t_r_i_n_g"  quoting  is  performed
-                      within   $${{_p_a_r_a_m_e_t_e_r}}   expansions  enclosed  in  double
+                      If  set,  $$'_s_t_r_i_n_g'  and  $$"_s_t_r_i_n_g" quoting is performed
+                      within  $${{_p_a_r_a_m_e_t_e_r}}  expansions  enclosed   in   double
                       quotes.  This option is enabled by default.
               ffaaiillgglloobb
-                      If set, patterns which fail to  match  filenames  during
+                      If  set,  patterns  which fail to match filenames during
                       pathname expansion result in an expansion error.
               ffoorrccee__ffiiggnnoorree
-                      If  set,  the  suffixes  specified  by the FFIIGGNNOORREE shell
-                      variable cause words to be ignored when performing  word
+                      If set, the suffixes  specified  by  the  FFIIGGNNOORREE  shell
+                      variable  cause words to be ignored when performing word
                       completion even if the ignored words are the only possi-
                       ble  completions.   See  SSHHEELLLL  VVAARRIIAABBLLEESS  above  for  a
-                      description  of  FFIIGGNNOORREE.   This  option  is  enabled by
+                      description of  FFIIGGNNOORREE.   This  option  is  enabled  by
                       default.
               ggnnuu__eerrrrffmmtt
                       If set, shell error messages are written in the standard
                       GNU error message format.
               hhiissttaappppeenndd
-                      If  set,  the history list is appended to the file named
-                      by the value of the HHIISSTTFFIILLEE  variable  when  the  shell
+                      If set, the history list is appended to the  file  named
+                      by  the  value  of  the HHIISSTTFFIILLEE variable when the shell
                       exits, rather than overwriting the file.
               hhiissttrreeeeddiitt
-                      If  set, and rreeaaddlliinnee is being used, a user is given the
+                      If set, and rreeaaddlliinnee is being used, a user is given  the
                       opportunity to re-edit a failed history substitution.
               hhiissttvveerriiffyy
-                      If set, and rreeaaddlliinnee is being used, the results of  his-
-                      tory  substitution  are  not  immediately  passed to the
-                      shell parser.  Instead, the  resulting  line  is  loaded
+                      If  set, and rreeaaddlliinnee is being used, the results of his-
+                      tory substitution are  not  immediately  passed  to  the
+                      shell  parser.   Instead,  the  resulting line is loaded
                       into the rreeaaddlliinnee editing buffer, allowing further modi-
                       fication.
               hhoossttccoommpplleettee
                       If set, and rreeaaddlliinnee is being used, bbaasshh will attempt to
-                      perform  hostname  completion when a word containing a @@
-                      is  being  completed  (see  CCoommpplleettiinngg  under   RREEAADDLLIINNEE
+                      perform hostname completion when a word containing  a  @@
+                      is   being  completed  (see  CCoommpplleettiinngg  under  RREEAADDLLIINNEE
                       above).  This is enabled by default.
               hhuuppoonneexxiitt
                       If set, bbaasshh will send SSIIGGHHUUPP to all jobs when an inter-
                       active login shell exits.
               iinntteerraaccttiivvee__ccoommmmeennttss
                       If set, allow a word beginning with ## to cause that word
-                      and  all remaining characters on that line to be ignored
-                      in an interactive  shell  (see  CCOOMMMMEENNTTSS  above).   This
+                      and all remaining characters on that line to be  ignored
+                      in  an  interactive  shell  (see  CCOOMMMMEENNTTSS above).  This
                       option is enabled by default.
-              lliitthhiisstt If  set,  and  the ccmmddhhiisstt option is enabled, multi-line
+              lliitthhiisstt If set, and the ccmmddhhiisstt option  is  enabled,  multi-line
                       commands are saved to the history with embedded newlines
                       rather than using semicolon separators where possible.
               llooggiinn__sshheellll
-                      The  shell  sets this option if it is started as a login
-                      shell (see IINNVVOOCCAATTIIOONN above).   The  value  may  not  be
+                      The shell sets this option if it is started as  a  login
+                      shell  (see  IINNVVOOCCAATTIIOONN  above).   The  value may not be
                       changed.
               mmaaiillwwaarrnn
-                      If  set,  and  a file that bbaasshh is checking for mail has
-                      been accessed since the last time it  was  checked,  the
-                      message  ``The  mail in _m_a_i_l_f_i_l_e has been read'' is dis-
+                      If set, and a file that bbaasshh is checking  for  mail  has
+                      been  accessed  since  the last time it was checked, the
+                      message ``The mail in _m_a_i_l_f_i_l_e has been read''  is  dis-
                       played.
               nnoo__eemmppttyy__ccmmdd__ccoommpplleettiioonn
-                      If set, and  rreeaaddlliinnee  is  being  used,  bbaasshh  will  not
+                      If  set,  and  rreeaaddlliinnee  is  being  used,  bbaasshh will not
                       attempt to search the PPAATTHH for possible completions when
                       completion is attempted on an empty line.
               nnooccaasseegglloobb
-                      If set, bbaasshh matches  filenames  in  a  case-insensitive
+                      If  set,  bbaasshh  matches  filenames in a case-insensitive
                       fashion when performing pathname expansion (see PPaatthhnnaammee
                       EExxppaannssiioonn above).
               nnuullllgglloobb
-                      If set, bbaasshh allows patterns which match no  files  (see
-                      PPaatthhnnaammee  EExxppaannssiioonn  above)  to expand to a null string,
+                      If  set,  bbaasshh allows patterns which match no files (see
+                      PPaatthhnnaammee EExxppaannssiioonn above) to expand to  a  null  string,
                       rather than themselves.
               pprrooggccoommpp
                       If set, the programmable completion facilities (see PPrroo--
@@ -1149,44 +1148,44 @@ BBAASSHH BBUUIILLTTIINN CCOOMMMMAANNDDSS
                       enabled by default.
               pprroommppttvvaarrss
                       If set, prompt strings undergo parameter expansion, com-
-                      mand   substitution,  arithmetic  expansion,  and  quote
-                      removal after being expanded as described  in  PPRROOMMPPTTIINNGG
+                      mand  substitution,  arithmetic  expansion,  and   quote
+                      removal  after  being expanded as described in PPRROOMMPPTTIINNGG
                       above.  This option is enabled by default.
               rreessttrriicctteedd__sshheellll
-                      The   shell  sets  this  option  if  it  is  started  in
+                      The  shell  sets  this  option  if  it  is  started   in
                       restricted mode (see RREESSTTRRIICCTTEEDD SSHHEELLLL below).  The value
-                      may  not be changed.  This is not reset when the startup
-                      files are executed, allowing the startup files  to  dis-
+                      may not be changed.  This is not reset when the  startup
+                      files  are  executed, allowing the startup files to dis-
                       cover whether or not a shell is restricted.
               sshhiifftt__vveerrbboossee
-                      If  set,  the sshhiifftt builtin prints an error message when
+                      If set, the sshhiifftt builtin prints an error  message  when
                       the shift count exceeds the number of positional parame-
                       ters.
               ssoouurrcceeppaatthh
                       If set, the ssoouurrccee (..) builtin uses the value of PPAATTHH to
-                      find the directory containing the file  supplied  as  an
+                      find  the  directory  containing the file supplied as an
                       argument.  This option is enabled by default.
               xxppgg__eecchhoo
-                      If   set,  the  eecchhoo  builtin  expands  backslash-escape
+                      If  set,  the  eecchhoo  builtin  expands   backslash-escape
                       sequences by default.
        ssuussppeenndd [--ff]
-              Suspend the execution of this shell until it receives a  SSIIGGCCOONNTT
-              signal.   The  --ff option says not to complain if this is a login
-              shell; just suspend anyway.  The return status is 0  unless  the
+              Suspend  the execution of this shell until it receives a SSIIGGCCOONNTT
+              signal.  The --ff option says not to complain if this is  a  login
+              shell;  just  suspend anyway.  The return status is 0 unless the
               shell is a login shell and --ff is not supplied, or if job control
               is not enabled.
        tteesstt _e_x_p_r
        [[ _e_x_p_r ]]
-              Return a status of 0 or 1 depending on  the  evaluation  of  the
-              conditional  expression _e_x_p_r.  Each operator and operand must be
-              a separate argument.  Expressions are composed of the  primaries
+              Return  a  status  of  0 or 1 depending on the evaluation of the
+              conditional expression _e_x_p_r.  Each operator and operand must  be
+              a  separate argument.  Expressions are composed of the primaries
               described above under CCOONNDDIITTIIOONNAALL EEXXPPRREESSSSIIOONNSS.
 
-              Expressions  may  be  combined  using  the  following operators,
+              Expressions may  be  combined  using  the  following  operators,
               listed in decreasing order of precedence.
               !! _e_x_p_r True if _e_x_p_r is false.
               (( _e_x_p_r ))
-                     Returns the value of _e_x_p_r.  This may be used to  override
+                     Returns  the value of _e_x_p_r.  This may be used to override
                      the normal precedence of operators.
               _e_x_p_r_1 -aa _e_x_p_r_2
                      True if both _e_x_p_r_1 and _e_x_p_r_2 are true.
